# Interface IContextListener

All Known Implementing Classes:
  `ContextManager`

public interface IContextListener
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `IContext`.

This interface may be implemented by clients.

Since:
  3.1
See Also:
  - `Context.addContextListener(IContextListener)`
  - `Context.removeContextListener(IContextListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextChanged(ContextEvent contextEvent)`
Notifies that one or more properties of an instance of `IContext` have changed.

## Method Details

### contextChanged

void contextChanged(ContextEvent contextEvent)
Notifies that one or more properties of an instance of `IContext` have changed. Specific details are described in the `ContextEvent`.

Parameters:
  `contextEvent` - the context event. Guaranteed not to be `null`.